Ignore:
Timestamp:
2008-12-16T15:52:32+13:00 (15 years ago)
Author:
mdewsnip
Message:

Removed --with-gdbm option and no longer checks for GDBM library existing, because we know we have it.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • gsdl/trunk/build-src/configure

    r16594 r18214  
    310310
    311311ac_subdirs_all="$ac_subdirs_all packages"
    312 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PACKAGE VERSION USE_FASTCGI USE_LANGACTION USE_CORBA MICO_DIR USE_Z3950 USE_YAZ ENABLE_ACCENTFOLD USE_SQLITE LDFLAGS CFLAGS CC CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX AWK YACC build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB COMPAT32BITFLAGS MICO_VER CPP EGREP U ANSI2KNR ALLOCA LIBOBJS STATIC GDBM_LIBPATH GDBM_INCLUDE gsdlos MODULEDIRS subdirs LTLIBOBJS'
     312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PACKAGE VERSION USE_FASTCGI USE_LANGACTION USE_CORBA MICO_DIR USE_Z3950 USE_YAZ ENABLE_ACCENTFOLD USE_SQLITE LDFLAGS CFLAGS CC CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX AWK YACC build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB COMPAT32BITFLAGS MICO_VER CPP EGREP U ANSI2KNR ALLOCA LIBOBJS STATIC gsdlos MODULEDIRS subdirs LTLIBOBJS'
    313313ac_subst_files=''
    314314
     
    864864  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
    865865  --with-micodir          Use installed MICO directory
    866   --with-gdbm=dir         Use local gdbm library and headers
    867866  --with-dmalloc          use dmalloc, as in
    868867                          ftp://ftp.letters.com/src/dmalloc/dmalloc.tar.gz
     
    14071406
    14081407
    1409 
    1410 # Check whether --with-gdbm or --without-gdbm was given.
    1411 if test "${with_gdbm+set}" = set; then
    1412   withval="$with_gdbm"
    1413   gdbmdir=$withval
    1414 fi;
    1415 
    14161408# Check whether --enable-accentfold or --disable-accentfold was given.
    14171409if test "${enable_accentfold+set}" = set; then
     
    68136805
    68146806
    6815 
    6816 echo "$as_me:$LINENO: checking that the GDBM library is available" >&5
    6817 echo $ECHO_N "checking that the GDBM library is available... $ECHO_C" >&6
    6818 if test ! -z "$gdbmdir" ; then
    6819   # look in given directory for header file
    6820   if test -r $gdbmdir/include/gdbm.h ; then
    6821     GDBM_INCLUDE="-I$gdbmdir/include" ;
    6822   elif test -r $gdbmdir/gdbm.h ; then
    6823     GDBM_INCLUDE="-I$gdbmdir" ;
    6824   fi
    6825 
    6826   # look in given directory for library
    6827   if test -r $gdbmdir/libgdbm.a ; then
    6828     GDBM_LIBPATH="-L$gdbmdir" ;
    6829   elif test -r $gdbmdir/lib/libgdbm.a ; then
    6830     GDBM_LIBPATH="-L$gdbmdir/lib" ;
    6831   elif test -r $gdbmdir/.libs/libgdbm.a ; then
    6832     GDBM_LIBPATH="-L$gdbmdir/.libs" ;
    6833   fi
    6834 
    6835   if test ! -z "$GDBM_LIBPATH" -a ! -z "$GDBM_INCLUDE" ; then
    6836     echo "$as_me:$LINENO: result: $gdbmdir" >&5
    6837 echo "${ECHO_T}$gdbmdir" >&6 ;
    6838   else
    6839     echo "$as_me:$LINENO: result: can't find gdbm.h and libgdbm.a in $gdbmdir" >&5
    6840 echo "${ECHO_T}can't find gdbm.h and libgdbm.a in $gdbmdir" >&6;
    6841     echo "$as_me:$LINENO: checking looking for GDBM library in default locations" >&5
    6842 echo $ECHO_N "checking looking for GDBM library in default locations... $ECHO_C" >&6
    6843   fi
    6844 fi
    6845 
    6846 # look in default path and in /usr/local
    6847 if test -z "$GDBM_INCLUDE" ; then
    6848   # try in system directory
    6849 
    6850 cat >conftest.$ac_ext <<_ACEOF
    6851 /* confdefs.h.  */
    6852 _ACEOF
    6853 cat confdefs.h >>conftest.$ac_ext
    6854 cat >>conftest.$ac_ext <<_ACEOF
    6855 /* end confdefs.h.  */
    6856 #include <gdbm.h>
    6857 
    6858 int
    6859 main ()
    6860 {
    6861 
    6862   ;
    6863   return 0;
    6864 }
    6865 _ACEOF
    6866 rm -f conftest.$ac_objext
    6867 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    6868   (eval $ac_compile) 2>conftest.er1
    6869   ac_status=$?
    6870   grep -v '^ *+' conftest.er1 >conftest.err
    6871   rm -f conftest.er1
    6872   cat conftest.err >&5
    6873   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6874   (exit $ac_status); } &&
    6875      { ac_try='test -z "$ac_cxx_werror_flag"
    6876              || test ! -s conftest.err'
    6877   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6878   (eval $ac_try) 2>&5
    6879   ac_status=$?
    6880   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6881   (exit $ac_status); }; } &&
    6882      { ac_try='test -s conftest.$ac_objext'
    6883   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6884   (eval $ac_try) 2>&5
    6885   ac_status=$?
    6886   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6887   (exit $ac_status); }; }; then
    6888   success=yes
    6889 else
    6890   echo "$as_me: failed program was:" >&5
    6891 sed 's/^/| /' conftest.$ac_ext >&5
    6892 
    6893 success=no
    6894 
    6895 fi
    6896 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    6897 
    6898   if test $success = "no"; then
    6899 # last chance - look in /usr/local (eg FreeBSD)
    6900     GDBM_LIBPATH=-L/usr/local/lib
    6901     GDBM_INCLUDE=-I/usr/local/include
    6902     ac_save_CXXFLAGS="$CXXFLAGS"
    6903     ac_save_LIBS="$LIBS"
    6904       CXXFLAGS="$CXXFLAGS -I/usr/local/include"
    6905       LIBS="$LIBS -L/usr/local/lib -lgdbm"
    6906       cat >conftest.$ac_ext <<_ACEOF
    6907 /* confdefs.h.  */
    6908 _ACEOF
    6909 cat confdefs.h >>conftest.$ac_ext
    6910 cat >>conftest.$ac_ext <<_ACEOF
    6911 /* end confdefs.h.  */
    6912 #include <gdbm.h>
    6913 #include <stdio.h>
    6914 
    6915 int
    6916 main ()
    6917 {
    6918 printf("%s",gdbm_version);
    6919   ;
    6920   return 0;
    6921 }
    6922 _ACEOF
    6923 rm -f conftest.$ac_objext conftest$ac_exeext
    6924 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    6925   (eval $ac_link) 2>conftest.er1
    6926   ac_status=$?
    6927   grep -v '^ *+' conftest.er1 >conftest.err
    6928   rm -f conftest.er1
    6929   cat conftest.err >&5
    6930   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6931   (exit $ac_status); } &&
    6932      { ac_try='test -z "$ac_cxx_werror_flag"
    6933              || test ! -s conftest.err'
    6934   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6935   (eval $ac_try) 2>&5
    6936   ac_status=$?
    6937   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6938   (exit $ac_status); }; } &&
    6939      { ac_try='test -s conftest$ac_exeext'
    6940   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6941   (eval $ac_try) 2>&5
    6942   ac_status=$?
    6943   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6944   (exit $ac_status); }; }; then
    6945   success=/usr/local
    6946 else
    6947   echo "$as_me: failed program was:" >&5
    6948 sed 's/^/| /' conftest.$ac_ext >&5
    6949 
    6950 success=no
    6951 
    6952 fi
    6953 rm -f conftest.err conftest.$ac_objext \
    6954       conftest$ac_exeext conftest.$ac_ext
    6955       CXXFLAGS=$ac_save_CXXFLAGS
    6956       LIBS=$ac_save_LIBS
    6957   fi
    6958 
    6959   echo "$as_me:$LINENO: result: $success" >&5
    6960 echo "${ECHO_T}$success" >&6
    6961   if test $success = "no"; then
    6962   { { echo "$as_me:$LINENO: error: GDBM Library not available - cannot install" >&5
    6963 echo "$as_me: error: GDBM Library not available - cannot install" >&2;}
    6964    { (exit 1); exit 1; }; }
    6965   fi
    6966 fi
    6967 cat >>confdefs.h <<\_ACEOF
    6968 #define HAVE_LIBGDBM  1
    6969 _ACEOF
    6970 
    6971 
    6972 
    6973 
    6974 
    69756807echo "$as_me:$LINENO: checking that Perl 5 is available" >&5
    69766808echo $ECHO_N "checking that Perl 5 is available... $ECHO_C" >&6
     
    70096841echo "$as_me:$LINENO: checking \"whether STL library has known faults\"" >&5
    70106842echo $ECHO_N "checking \"whether STL library has known faults\"... $ECHO_C" >&6
     6843
    70116844
    70126845cat >conftest.$ac_ext <<_ACEOF
     
    81167949s,@LIBOBJS@,$LIBOBJS,;t t
    81177950s,@STATIC@,$STATIC,;t t
    8118 s,@GDBM_LIBPATH@,$GDBM_LIBPATH,;t t
    8119 s,@GDBM_INCLUDE@,$GDBM_INCLUDE,;t t
    81207951s,@gsdlos@,$gsdlos,;t t
    81217952s,@MODULEDIRS@,$MODULEDIRS,;t t
Note: See TracChangeset for help on using the changeset viewer.